'GeoScript Tutorial No.2: BASIC DRAWINGS WITH LINES

'Introducing LINEPOLAR, CROSS, STARTLINE, ADVANCETO

'We are using the same triangle as in Tutorial 1,
'  but we will draw some additional lines in it.
POINT A, 100,360, -1, &H0000FF
POINT B, 400,360, -1, &H0000FF
POINT C, 300,85, -1, &H0000FF
a = LINE B,C
b = LINE A,C
c = LINE A,B

'We draw the heights from point C towards the line c,
'  and from point B towards the line b.
'You may append a degree sign () to angle numbers to make your
'  program clearer, but this is optional.
hc = LINEPOLAR C, c, 90, &HF0F   'dashed line
hb = LINEPOLAR B, b, 90, &HF0F

'Signal the crosspoint with a red square.
H = CROSS hc, hb, 4, &HFF0000

'Initialize a new point and line in another place:
POINT X, 400, 280, -1, (0,128,0)
x, Y = STARTLINE X, 0, 180, -1, (0,128,0), 3    'A green line 3 pixels thick.

Z = ADVANCETO X, Y, 50, 2      'A point at 50 pixels from X towards Y.

z = LINEPOLAR Z, x, 30, -1, (0,128,0), 3

WAIT                     'Let user press a button before program exits.
END