'GeoScript Tutorial No.7: PROCEDURE "ANIMATION"

'Introducing ANIMATION, STEP, TRACE

WINDOW 640,400
TWINDOW 2,400, 636,60

IPOINT A = 70,340
IPOINT B = 530,340
IPOINT C = 140,40

TEXT "Look how the circumcircle changes as point A moves towards the line a."
CALL Circum FAST

TEXT "Press Resume or Exit to end the program.", (255,255,0), (160,0,0)
WAIT
END

CONSTRUCTION Triangle A,B,C
  c = LINE A,B
  b = LINE A,C
  a = LINE B,C
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKPOINT C
  MARKLINE a
  MARKLINE b
  MARKLINE c, -1, 1
REPEAT

CONSTRUCTION Circumcircle A,B,C
  h = MIDLINE B,C, -1, (255,0,0)
  i = MIDLINE A,C, -1, (255,0,0)
  j = MIDLINE A,B, -1, (255,0,0)
  M = CROSS h,i, -1, (128,0,0)
  MARKPOINT M
  c1 = CIRCLE M,A, (255,0,0)
REPEAT

ANIMATION Circum
  STEP A, 4,-1
  TRACE M
  CALL Triangle FAST A,B,C
  CALL Circumcircle FAST A,B,C
REPEAT 150
