'GeoScript Tutorial No.8: PROCEDURE "INTERACTION"

'Introducing INTERACTION, CLICKABLE

WINDOW 640,420
TWINDOW 2,420, 636,40

'We put initialization of points into a CONSTRUCTION,
'so we can call it FAST.

CALL Init FAST

TEXT "Drag Point A or B with the mouse and see how the circumcircle changes. Click 'Exit' or press [Esc] key to exit."
CALL Circum FAST
END

CONSTRUCTION Init
  POINT A = 70,340, 4, (255,0,0)
  POINT B = 530,340, 4, (255,0,0)
  IPOINT C = 140,40
REPEAT

CONSTRUCTION Triangle A,B,C
  c = LINE A,B
  b = LINE A,C
  a = LINE B,C
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKPOINT C
  MARKLINE a
  MARKLINE b
  MARKLINE c, -1, 1
REPEAT

CONSTRUCTION Circumcircle A,B,C
  h = MIDLINE B,C, -1, (0,0,255)
  i = MIDLINE A,C, -1, (0,0,255)
  j = MIDLINE A,B, -1, (0,0,255)
  M = CROSS h,i, -1, (0,0,255)
  MARKPOINT M
  c1 = CIRCLE M,A, (0,0,255)
REPEAT

INTERACTION Circum
  CLICKABLE A, B
  CALL Triangle FAST A,B,C
  CALL Circumcircle FAST A,B,C
REPEAT
