'Basic Triangle constructions Demo

IPOINT A, 60,397
IPOINT B, 620,397
IPOINT C, 390,123
CONSTRUCT Triangle FAST A,B,C
FILL A,B,C, (192,192,0), 200
CONSTRUCT TFrame FAST
TITLE "Simple Triangle Constructions"
WINDOW 640,120

TEXTWINDOW 200,240, 255,90
TEXT "Basic Triangle Constructions", (255,255,0), (160,0,0), 40
IPOINT A, -100,100
IPOINT B, 0,100
IPOINT C, -30,30
IPOINT D, 740,100
IPOINT E, 640,100
IPOINT F, 670,30
ANIMATE Triang FAST

WINDOW 640,400

ICIRCLE c2, 0,0, 90
ICIRCLE c3, 0,0, 70
CALL sidesTitle FAST c2, c3
  'we cannot put text into a FAST CONSTRUCTION:
  'it updates graphics only upon REPEAT!
TEXTWINDOW 270,20, 350,300
TEXT "Problem 1: Construct a triangle with the length of the three sides given."
WAIT
'ICIRCLE c1, 0,0, 300
ICIRCLE c2, 0,0, 270
ICIRCLE c3, 0,0, 210
CALL sides SLOW c1, c2, c3

CALL sidesTitleNot FAST
TEXTWINDOW 270,20, 350,300
TEXT "Problem 2: Construct a triangle with these lengths of the three sides given. (The lengths are different from the first problem.)"
WAIT
ICIRCLE c2, 0,0, 120
ICIRCLE c3, 0,0, 90
CALL sidesNot SLOW c1, c2, c3

ICIRCLE c2, 0,0, 80
CALL enclosedAngleTitle FAST c2
TEXTWINDOW 270,20, 350,300
TEXT "Problem 3: Construct a triangle with the length of the sides b and c given, and the angle enclosed by these two sides."
WAIT
ICIRCLE c2, 0,0, 240
CALL enclosedAngle SLOW c2

CALL twoAnglesTitle FAST
TEXTWINDOW 270,20, 350,300
TEXT "Problem 4: Construct a triangle with the length of the side c given, and the angles in A and B."
WAIT
CALL twoAngles SLOW

ICIRCLE c1, 0,0, 110
CONSTRUCT oppAngle1Title FAST c1
TEXTWINDOW 270,20, 350,300
TEXT "Problem 5: Construct a triangle with the length of two sides given, and the angle opposite to one of these sides."
WAIT
ICIRCLE c1, 0,0, 330
CONSTRUCT oppAngle1 SLOW c1

ICIRCLE c1, 0,0, 105
CONSTRUCT oppAngle0Title FAST c1
TEXTWINDOW 270,20, 350,300
TEXT "Problem 6: Construct a triangle with these length of two sides given, and the angle opposite to one of these sides. (Side a is different from the previous problem.)"
WAIT
ICIRCLE c1, 0,0, 225
CONSTRUCT oppAngle0 SLOW c1

ICIRCLE c1, 0,0, 85
CONSTRUCT oppAngle1Title FAST c1  'Same procedure for 2 solutions as for 1.
TEXTWINDOW 270,20, 350,300
TEXT "Problem 7: Construct a triangle with the length of two sides given, and the angle opposite to one of these sides. (Side a is again different from the previous problems. Watch for a surprise.)"
WAIT
ICIRCLE c1, 0,0, 255
CONSTRUCT oppAngle2 SLOW c1

TEXTWINDOW 170,20, 350,150
TEXT "CONCLUSION: If two triangles coincide in two sides and the angle opposite to one side, it is NOT proven that they are congruent. As you saw, in this case there are two possible solutions.", (255,255,0), (160,0,0), 24
WAIT
TEXTWINDOW 120,200, 400,80
TEXT "But in the other cases, where there was only one solution, you can know that two triangles are congruent:", 0, (255,255,160), 24
TEXTWINDOW 120,280, 400,80
TEXT "When they coincide in all three sides, or in two sides and the enclosed angle, or in one side and two angles.", 0, (255,255,160), 24
WAIT
END

'************ TITLE ANIMATION ******************
'TEXTWINDOW 200,240, 240,90

CONSTRUCTION TFrame
  IPOINT A, 180,200
  IPOINT B, 457,200
  IPOINT C, 180,370
  IPOINT D, 457,370
  FILL A,B,C, (160,0,0), 255
  FILL B,C,D, (160,0,0), 255
REPEAT

ANIMATION Triang
  STEP A, 16,0
  STEP B, 16,0
  STEP C, 16,0
  STEP D, -16,0
  STEP E, -16,0
  STEP F, -16,0
  CALL Triangle FAST A,B,C
  FILL A,B,C, (0,0,255), 40
  CALL Triangle FAST D,E,F
  FILL D,E,F, (0,255,0), 40
REPEAT 50

CONSTRUCTION Triangle A,B,C
  c = LINE A,B, -1, (0,0,255), 3
  b = LINE A,C, -1, (0,0,255), 3
  a = LINE B,C, -1, (0,0,255), 3
REPEAT

'*********** 3 SIDES GIVEN **************************

CONSTRUCTION sidesTitle c2, c3
  CLS
  POINT A, 20,100
  c, B = STARTLINE A, 0, 100, -1, (0,0,255)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 10
  IMOVECIRCLE c2, A
  IMOVECIRCLE c3, B
  dummy, C = ICROSS c2, c3
  MARKPOINT C
  b = LINE A,C, -1, (0,0,255)
  MARKNUMBERLINE b,A,C, 10
  a = LINE B,C, -1, (0,0,255)
  MARKNUMBERLINE a,B,C, 10, -1,1
REPEAT

'Construct a triangle with 3 sides given (radii of c1=c, c2=b, c3=a)
'  no, c1 not used... we want to use STARTLINE,
'  so we must use a hardcoded length there... for now...

CONSTRUCTION sides c1, c2, c3
  TEXTWINDOW 2,400, 636,60
  TEXT "We construct the given side c = AB.", (180,0,0)
  POINT A 140,360, -1, (255,0,0)
  c, B = STARTLINE A, 0, 300, -1, (255,0,0)
  MARKPOINT A, -1, 2
'  IMOVECIRCLE c1, A
'  dummy, B = CROSS c1, c
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 30
  TEXT "We draw an arc from A with radius b.", (180,0,0)
  IMOVECIRCLE c2, A
  IMOVECIRCLE c3, B
  dummy, C = ICROSS c2, c3, -1, (255,0,0)
  c2 = ARC A,C,30, (190,190,190)
  TEXT "We draw an arc from B with radius a.", (180,0,0)
  c3 = ARC B,C,30, (190,190,190)
  TEXT "The intersection of the two arcs is point C.", (180,0,0)
  MARKPOINT C
  b = LINE A,C, -1, (255,0,0)
  MARKNUMBERLINE b,A,C, 30
  a = LINE B,C, -1, (255,0,0)
  MARKNUMBERLINE a,B,C, 30, -1,10
  WAIT
  TEXT ""
REPEAT

'******** 3 SIDES GIVEN - IMPOSSIBLE **************

CONSTRUCTION sidesTitleNot
  CLS
  POINT A, 20,100
  POINT B, 120,100
  POINT C, 84,52
  c = LINE A,B, -1, (0,0,255)
  b = LINE A,C, -1, (0,0,255)
  a = LINE B,C, -1, (0,0,255)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKPOINT C
  MARKNUMBERLINE c,A,B, 10
  MARKNUMBERLINE b,A,C, 20   'we must cheat here, mark the line with "wrong" factor.
  MARKNUMBERLINE a,B,C, 20, -1,1
REPEAT

CONSTRUCTION sidesNot c1, c2, c3
  TEXTWINDOW 2,400, 636,60
  TEXT "We construct the given side c = AB.", (180,0,0)
  POINT A 140,360, -1, (255,0,0)
  c, B = STARTLINE A, 0, 300, -1, (255,0,0)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 30
  TEXT "We draw an arc from A with radius b.", (180,0,0)
  IMOVECIRCLE c2, A
  IMOVECIRCLE c3, B
  dummy, A2 = ICROSS c2, c
  B2, dummy = ICROSS c3, c
  c2 = ARC A,A2,30, (190,190,190)
  TEXT "We draw an arc from B with radius a.", (180,0,0)
  c3 = ARC B,B2,30, (190,190,190)
  TEXT "There is no intersection of the two arcs. It is impossible to construct a triangle with the given measures.", (180,0,0)
  WAIT
  TEXT ""
REPEAT

'**************** 2 SIDES AND ENCLOSED ANGLE GIVEN ************

CONSTRUCTION enclosedAngleTitle c2
  CLS
  IPOINT A 20,100
  c, B = STARTLINE A, 0, 100, -1,(0,0,255)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 10, -1,1
  b = ILINEPOLAR A,c,40, -1,(0,0,255)
  MARKNUMBERANGLE c,b, "a"
  IMOVECIRCLE c2, A
  dummy, C = ICROSS c2, b
  c2 = ARC A,C,default, (190,190,190)
  MARKPOINT C
  b = LINE A,C, -1,(0,0,255)
  MARKNUMBERLINE b,A,C, 10
  a = LINE B,C
REPEAT

CONSTRUCTION enclosedAngle c2
  TEXTWINDOW 2,400, 636,60
  TEXT "We construct the given side c = AB.", (180,0,0)
  POINT A 140,360, -1, (255,0,0)
  c, B = STARTLINE A, 0, 300, -1, (255,0,0)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 30, -1,1
  TEXT "We draw a line from A in the given angle to side c.", (180,0,0)
  b = LINEPOLAR A,c,40, -1,(255,0,0)
  MARKNUMBERANGLE c,b, "a"
  TEXT "On this line we measure the length of side b. So we find point C.", (180,0,0)
  IMOVECIRCLE c2, A
  dummy, C = ICROSS c2, b, -1, (255,0,0)
  c2 = ARC A,C,default, (190,190,190)
  MARKPOINT C
  MARKNUMBERLINE b,A,C, 30
  a = LINE B,C, -1, (255,0,0)
  WAIT
  TEXT ""
REPEAT

'******** 1 SIDE AND 2 ANGLES GIVEN ***************

CONSTRUCTION twoAnglesTitle
  CLS
  IPOINT A 20,100
  c, B = STARTLINE A, 0, 100, -1,(0,0,255)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 10, -1,1
  b = ILINEPOLAR A,c,50, -1,(0,0,255)
  MARKNUMBERANGLE c,b, "a"
  REVERT c
  a = ILINEPOLAR B,c,-70, -1,(0,0,255)
  MARKNUMBERANGLE a,c, "b"
  C = CROSS a,b
  a = LINE B,C
  b = LINE A,C
  C = CROSS a,b, -1,0
  MARKPOINT C
REPEAT

CONSTRUCTION twoAngles
  TEXTWINDOW 2,400, 636,60
  TEXT "We construct the given side c = AB.", (180,0,0)
  POINT A 140,360, -1, (255,0,0)
  c, B = STARTLINE A, 0, 300, -1, (255,0,0)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 30, -1,1
  TEXT "We draw a line from A in the given angle to side c.", (180,0,0)
  b = LINEPOLAR A,c,50, -1,(255,0,0)
  MARKNUMBERANGLE c,b, "a"
  TEXT "We draw a line from B in the given angle to side c.", (180,0,0)
  REVERT c
  a = LINEPOLAR B,c,-70, -1,(255,0,0)
  MARKNUMBERANGLE a,c, "b"
  TEXT "The crosspoint of these two lines is our point C.", (180,0,0)
  C = CROSS a,b, -1,(255,0,0)
  MARKPOINT C
  WAIT
  TEXT ""
REPEAT

'******** 2 sides and opposite angle given ********************

CONSTRUCTION oppAngle1Title c1
'Radius of c1 > c, only 1 solution.
  CLS
  IPOINT A 20,140
  c, B = STARTLINE A, 0, 100, -1,(0,0,255)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 10, -1,1
  b = ILINEPOLAR A,c,50, -1,(0,0,255)
  MARKNUMBERANGLE c,b, "a"
  IMOVECIRCLE c1, B
  dummy, C = ICROSS c1, b
  MARKPOINT C
  b = LINE A,C
  a = LINE B,C, -1, (0,0,255)
  MARKNUMBERLINE a, 10,-1,1
REPEAT

CONSTRUCTION oppAngle1 c1
'Radius of c1 > c, only 1 solution.
  TEXTWINDOW 2,400, 636,60
  TEXT "We construct the given side c = AB.", (180,0,0)
  POINT A 140,360, -1, (255,0,0)
  c, B = STARTLINE A, 0, 300, -1, (255,0,0)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 30, -1,1
  TEXT "We draw a line from A in the given angle to side c.", (180,0,0)
  b = LINEPOLAR A,c,50, -1,(255,0,0)
  MARKNUMBERANGLE c,b, "a"
  TEXT "We draw an arc from B with the radius of the given side a.", (180,0,0)
  IMOVECIRCLE c1, B
  dummy, C = ICROSS c1, b
  c1 = ARC B,C,45
  TEXT "The crosspoint of this arc with side b is our point C.", (180,0,0)
  MARKPOINT C
  a = LINE B,C, -1, (255,0,0)
  MARKNUMBERLINE a, 30,-1,1
  WAIT
  TEXT ""
REPEAT

CONSTRUCTION oppAngle0Title c1
'Radius of c1 too small, no solution
  CLS
  IPOINT A 20,140
  c, B = STARTLINE A, 0, 100, -1,(0,0,255)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 10, -1,1
  b = ILINEPOLAR A,c,50, -1,(0,0,255)
  MARKNUMBERANGLE c,b, "a"
  IMOVECIRCLE c1, B
  dummy, C = ICROSS c1, b
  MARKPOINT C
  b = LINE A,C
  a = LINE B,C, -1, (0,0,255)
  MARKNUMBERLINE a, 14,-1,1    'we must cheat here, mark with "wrong" factor.
REPEAT

CONSTRUCTION oppAngle0 c1
'Radius of c1 too small, no solution
  TEXTWINDOW 2,400, 636,60
  TEXT "We construct the given side c = AB.", (180,0,0)
  POINT A 140,360, -1, (255,0,0)
  c, B = STARTLINE A, 0, 300, -1, (255,0,0)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 30, -1,1
  TEXT "We draw a line from A in the given angle to side c.", (180,0,0)
  b = LINEPOLAR A,c,50, -1,(255,0,0)
  MARKNUMBERANGLE c,b, "a"
  TEXT "We draw an arc from B with the radius of the given side a.", (180,0,0)
  MOVECIRCLE c1, B
  TEXT "There is no crosspoint of this arc with side b. It is impossible to construct a triangle with these measures!", (180,0,0)
  WAIT
  TEXT ""
REPEAT

'For 2 solutions: Title is equal to 1 solution.

CONSTRUCTION oppAngle2 c1           '2 solutions
  TEXTWINDOW 2,400, 636,60
  TEXT "We construct the given side c = AB.", (180,0,0)
  POINT A 140,360, -1, (255,0,0)
  c, B = STARTLINE A, 0, 300, -1, (255,0,0)
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKNUMBERLINE c,A,B, 30, -1,1
  TEXT "We draw a line from A in the given angle to side c.", (180,0,0)
  b = LINEPOLAR A,c,50, -1,(255,0,0)
  MARKNUMBERANGLE c,b, "a"
  TEXT "We draw an arc from B with the radius of the given side a.", (180,0,0)
  MOVECIRCLE c1, B
  C1, C2 = CROSS c1, b, -1,(255,0,0)
  TEXT "There are two crosspoints. Our problem has two solutions!", (180,0,0)
  MARKPOINT C1
  MARKPOINT C2
  a1 = LINE B,C1, -1, (255,0,0)
  MARKNUMBERLINE a1, 30,-1,1
  a2 = LINE B,C2, -1, (255,0,0)
  MARKNUMBERLINE a2, 30,-1,1
  WAIT
  TEXT ""
REPEAT
