'GeoScript Tutorial No.9: LIMITING MOVEMENTS IN ANIMATIONS AND INTERACTIONS

'Introducing ALONG, COPY, FILL

WINDOW 640,420
TWINDOW 2,420, 636,40

TEXT "All angles drawn over the same chord in a circle are equal."
CONSTRUCT Init FAST
ANIMATE MoveAngle FAST
TEXT "Now drag yourself the point P around the circle."
INTERACT InteractAngle FAST
END

CONSTRUCTION Init
  CIRCLE c1, 320,200, 170, (0,0,255)
  FILL c1, (0,0,255), 20
  ILINE invisible, 0,310, 600,310
  A,B = CROSS invisible, c1
  chord = LINE A,B
  P = COPY B
REPEAT

ANIMATION MoveAngle
  'Restrict movement of point P to circle c1:
  STEP P ALONG c1, 3
  MARKPOINT P
  a = LINE P,A, -1, (128,0,0)
  b = LINE P,B, -1, (128,0,0)
  MARKNUMBERANGLE a,b, "a"
REPEAT 250

INTERACTION InteractAngle
  'Restrict movement of point P to circle c1:
  CLICKABLE P ALONG c1
  MARKPOINT P
  a = LINE P,A, -1, (128,0,0)
  b = LINE P,B, -1, (128,0,0)
  MARKNUMBERANGLE a,b, "a"
REPEAT
